tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Remy Maucherat <r...@apache.org>
Subject Re: 5.5 support for Java 5 language features in JSPs
Date Fri, 18 Feb 2005 14:31:36 GMT
Jess Holle wrote:
> Is there any realistic ETA for Java 5 language feature support in Tomcat 
> 5.5 JSPs?
> 
> Tomcat 5.0.30 has a simple web.xml flag to note the target language 
> version.
> 
> 5.5 does too -- if you force it to use javac rather than JDT.  This is 
> sounding better and better the longer Tomcat 5.5 does not bundle a JDT 
> that fully supports Java 5.
> 
> I realize this is not a Tomcat issue as much as a JDT issue -- except 
> that Tomcat 5.5 uses JDT by default.  I also realize scriptlets are 
> considered evil -- but they, and hard requirements for Java 5 *now*, are 
> a fact of life for some of us.

Java 5 in scriptlets being a necessity ? Yeah riiiight. If you want it 
now, it's easy: add ant.jar and tools.jar to common/lib. JDT from 
Eclipse 3.1 will be used when it becomes stable.

I've read your previous complaint on the subject. One post is enough, 
and the question has already been answered earlier.

Rémy

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-dev-help@jakarta.apache.org


Mime
View raw message